package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ntf;
import com.brilliance.isc.vo.manager.NtfManageVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface NtfMapper {

    int insert(Ntf record);

    int insertSelective(Ntf record);

    int updateByPrimaryKeySelective(Ntf record);

    int updateByPrimaryKey(Ntf record);

    int deleteByPrimaryKey(Ntf record);

    int deleteByIds(Collection<Object> collection);

    Ntf selectByPrimaryKey(Ntf record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ntf> dyncRead(Map<String,Object> dyncMap);

    List<Ntf> queryByPage(NtfManageVo ntfVo);

    List<NtfManageVo> queryById(String inr);
}